Package: org.codehaus.groovy.control

## [Java] Class MultipleCompilationErrorsException

- org.codehaus.groovy.control.MultipleCompilationErrorsException

-     public class MultipleCompilationErrorsException
      extends CompilationFailedException

  Represents multiple other exceptions

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected ErrorCollector` | `collector` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CompilationFailedException` | `phase, unit`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MultipleCompilationErrorsException(ErrorCollector ec)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public ErrorCollector` | `getErrorCollector()`
    `` | `public String` | `getMessage()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CompilationFailedException` | `getUnit`
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

- - ### Field Detail

    - #### protected ErrorCollector collector

  - ### Constructor Detail

    - #### public MultipleCompilationErrorsException(ErrorCollector ec)

  - ### Method Detail

    - #### public ErrorCollector getErrorCollector()

    - #### @Override
      public String getMessage()